QGIS Application - Bug report #20538
Composer attribute table: configurations for visible attributes is not stored in the project
2018-11-18 09:33 AM - salvatore fiandaca

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28358
Description

I made a simple atlas with a trivial layout: a map and relative

table attributes of the atlas.

The attribute table has 6 fields, but in the layout | configure the table for
display only the first two fields.

The annoying bug re-presents all the fields at the next opening

of the project.

| enclose the project and data:
the project is saved to display two attributes table fields in the atlas

the problem also occurs in the nightly build

thx

Associated revisions

Revision 810b522f - 2019-05-22 11:44 PM - Nyall Dawson

[layouts] Avoid resetting column selection when restoring project
with an atttribute table set to the "atlas feature" source

Fixes #20538

Revision 11715335 - 2019-05-23 09:58 AM - Nyall Dawson

[layouts] Avoid resetting column selection when restoring project
with an atttribute table set to the "atlas feature" source

Fixes #20538

(cherry picked from commit 810b522f4342e6972e8c12a14c93ee4c9bc300be)

History

#1 - 2018-11-18 09:58 AM - salvatore fiandaca
- File bug.png added

#2 - 2018-11-19 10:46 AM - Giovanni Manghi

2024-04-28 12




- Regression? changed from No to Yes

- Operating System deleted (win 10 - osgeo4w)

- Subject changed from QGIS 3.4.1 atlas and attribute table: the project does not store the fields configuration to Composer attribute table:

configurations for visible attributes is not stored in the project

#3 - 2019-05-21 11:43 PM - Nyall Dawson
- Assignee set to Nyall Dawson
- Status changed from Open to In Progress

#4 - 2019-05-22 11:44 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|810b0522f4342e6972e8c12a14c93ee4c9bc300be.
